#!/usr/bin/env bash
npm install
SHAREDDEPENDENCIES=$(paste -d " " -s node_modules/@ecom-mfe-shared-dependencies/component/config/shared-dev-dependencies.txt)

cd components
for component in */ ; do
  if [ -d "$component" ]
  then
    echo "..................................................................................................."
    echo "Installing devDependencies in $component"
    cd $component
    node ../../node_modules/add-dependencies ./package.json $SHAREDDEPENDENCIES --save-dev
    cd ..
  fi
done